Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5117)
@@ -42,11 +42,11 @@
 ! pref---output-R- pression au niveau zgeop/RG
 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli 
-      REAL, dimension(klon), intent(in) :: speed, t, q, zgeop, psol
-      REAL, dimension(klon), intent(in) :: ts, qsurf, rugos, ri1 
-      LOGICAL, intent(in) :: okri    
+      INTEGER, INTENT(IN) :: klon, knon, nsrf
+      LOGICAL, INTENT(IN) :: zxli
+      REAL, DIMENSION(klon), INTENT(IN) :: speed, t, q, zgeop, psol
+      REAL, DIMENSION(klon), INTENT(IN) :: ts, qsurf, rugos, ri1
+      LOGICAL, INTENT(IN) :: okri
 
-      REAL, dimension(klon), intent(out) :: cdram, cdrah, cdran, zri1, pref
+      REAL, DIMENSION(klon), INTENT(OUT) :: cdram, cdrah, cdran, zri1, pref
 !-------------------------------------------------------------------------
 
@@ -59,9 +59,9 @@
 ! Variables locales :
       INTEGER :: i
-      REAL, dimension(klon) :: zdu2, zdphi, ztsolv, ztvd
-      REAL, dimension(klon) :: zscf, friv, frih, zucf, zcr
-      REAL, dimension(klon) :: zcfm1, zcfh1
-      REAL, dimension(klon) :: zcfm2, zcfh2
-      REAL, dimension(klon) :: trm0, trm1
+      REAL, DIMENSION(klon) :: zdu2, zdphi, ztsolv, ztvd
+      REAL, DIMENSION(klon) :: zscf, friv, frih, zucf, zcr
+      REAL, DIMENSION(klon) :: zcfm1, zcfh1
+      REAL, DIMENSION(klon) :: zcfm2, zcfh2
+      REAL, DIMENSION(klon) :: trm0, trm1
 
   CHARACTER (LEN=80) :: abort_message
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h	(revision 5117)
@@ -7,5 +7,5 @@
 !!FC      integer iflag_pbl, iflag_pbl_split, iflag_order2_sollw
 !FC      common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw
-      integer iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+      INTEGER iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
       common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 !>jyg+al1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h	(revision 5117)
@@ -4,5 +4,5 @@
       common /comsoil/inertie_sol,inertie_sno,inertie_sic,inertie_lic,  &
      &                iflag_sic,iflag_inertie
-      real inertie_sol,inertie_sno,inertie_sic,inertie_lic
-      integer iflag_sic,iflag_inertie
+      REAL inertie_sol,inertie_sno,inertie_sic,inertie_lic
+      INTEGER iflag_sic,iflag_inertie
 !$OMP THREADPRIVATE(/comsoil/)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.h	(revision 5117)
@@ -3,13 +3,13 @@
 !-- Modified by : Filiberti M-A 06/2005
 
-      real epmax             ! 0.993
-      real coef_epmax_cape             ! 0.993
+      REAL epmax             ! 0.993
+      REAL coef_epmax_cape             ! 0.993
 !jyg<
       REAL  cvl_comp_threshold     ! 0.
 !>jyg
-      logical ok_adj_ema      ! F
-      integer iflag_clw      ! 0
-      integer iflag_cvl_sigd
-      real cvl_sig2feed      ! 0.97
+      LOGICAL ok_adj_ema      ! F
+      INTEGER iflag_clw      ! 0
+      INTEGER iflag_cvl_sigd
+      REAL cvl_sig2feed      ! 0.97
 
 !jyg<
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90	(revision 5117)
@@ -120,9 +120,9 @@
   END DO
   ! CALL dump2d(iim,jjm-1,rflag(2:klon-1),'FLAG CONVECTION   ')
-  ! if (klon.eq.1) THEN
+  ! if (klon.EQ.1) THEN
   ! PRINT*,'IFLAG ',iflag
   ! else
   ! WRITE(*,'(96i1)') (iflag(i),i=2,klon-1)
-  ! endif
+  ! END IF
   DO k = 1, klev
     DO i = 1, klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5117)
@@ -32,5 +32,5 @@
     USE lmdz_grid_phy, ONLY: klon_glo
     USE lmdz_print_control, ONLY: lunout
-    use config_ocean_skin_m, ONLY: config_ocean_skin
+    USE config_ocean_skin_m, ONLY: config_ocean_skin
     USE phys_state_var_mod, ONLY: phys_tstep
     USE infotrac_phy, ONLY: type_trac
@@ -2300,5 +2300,5 @@
     ok_veget = .TRUE.
     type_veget = type_veget_omp
-    IF (type_veget=='n' .or. type_veget=='bucket' .or. type_veget=='betaclim') THEN
+    IF (type_veget=='n' .OR. type_veget=='bucket' .OR. type_veget=='betaclim') THEN
       ok_veget = .FALSE.
     ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/convect2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/convect2.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/convect2.F90	(revision 5117)
@@ -509,8 +509,8 @@
         ! PRINT*,tp(i,k),ah0(i),cl,cpd,qnk(i),t(i,k),gz(i,k),alv,qg,cpd
         tp(i, k) = (ah0(i)-(cl-cpd)*qnk(i)*t(i,k)-gz(i,k)-alv*qg)/cpd
-        ! if (.not.cpd.gt.1000.) THEN
+        ! if (.NOT.cpd.gt.1000.) THEN
         ! PRINT*,'CPD=',cpd
         ! stop
-        ! endif
+        ! END IF
         clw(i, k) = qnk(i) - qg
         clw(i, k) = max(0.0, clw(i,k))
@@ -576,5 +576,5 @@
     wt(i, 1) = omtsnow
     hp(i, 1) = h(i, 1)
-    ! IF(.not.cpn(i,1).gt.900.) THEN
+    ! IF(.NOT.cpn(i,1).gt.900.) THEN
     ! PRINT*,'i,lv(i,1),cpn(i,1)'
     ! PRINT*, i,lv(i,1),cpn(i,1)
@@ -582,5 +582,5 @@
     ! PRINT*,'i,k',mod(i,ncum),k,'  cpn',cpn(mod(i,ncum),k)
     ! stop
-    ! endif
+    ! END IF
     lvcp(i, 1) = lv(i, 1)/cpn(i, 1)
   END DO
@@ -640,6 +640,6 @@
   ! inb(i)=k+1
   ! capem(i)=cape(i)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
@@ -667,6 +667,6 @@
   ! capem(i)=cape(i)
   ! byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5117)
@@ -242,9 +242,9 @@
     sum_error = sum_error + error
 
-    if (activate_ocean_skin >= 1) THEN
+    IF (activate_ocean_skin >= 1) THEN
        ALLOCATE(read_sss(nbp_lon, jj_nb), stat = error)
        sum_error = sum_error + error
     
-       if (activate_ocean_skin == 2) THEN
+       IF (activate_ocean_skin == 2) THEN
           ALLOCATE(cpl_delta_sst(klon), cpl_delta_sal(klon), cpl_dter(klon), &
                cpl_dser(klon), cpl_dt_ds(klon), stat = error)
@@ -413,5 +413,5 @@
     USE time_phylmdz_mod, ONLY: start_time, itau_phy
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
     INCLUDE "YOMCST.h"
@@ -475,5 +475,5 @@
        read_alb_sic(:,:) = tab_read_flds(:,:,idr_icealw)  ! Albedo at sea ice
        read_sit(:,:)     = tab_read_flds(:,:,idr_icetem)  ! Sea ice temperature
-       if (activate_ocean_skin >= 1) read_sss(:,:) = tab_read_flds(:,:,idr_sss)
+       IF (activate_ocean_skin >= 1) read_sss(:,:) = tab_read_flds(:,:,idr_sss)
 !$OMP END MASTER
 
@@ -540,5 +540,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl, fco2_ocn_day
     USE indice_sol_mod
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
 ! Input arguments
@@ -568,5 +568,5 @@
 !*************************************************************************************
     CALL cpl2gath(read_sst, tsurf_new, knon, knindex)
-    if (activate_ocean_skin >= 1) CALL cpl2gath(read_sss, sss, knon, knindex)
+    IF (activate_ocean_skin >= 1) CALL cpl2gath(read_sss, sss, knon, knindex)
     CALL cpl2gath(read_sic, sic_new, knon, knindex)
     CALL cpl2gath(read_u0, u0_new, knon, knindex)
@@ -663,5 +663,5 @@
     USE indice_sol_mod
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
     USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -679,21 +679,21 @@
     REAL, DIMENSION(klon), INTENT(IN)       :: lat_prec_liq, lat_prec_sol
     
-    REAL, intent(in):: delta_sst(:) ! (knon)
+    REAL, INTENT(IN):: delta_sst(:) ! (knon)
     ! Ocean-air interface temperature minus bulk SST, in
     ! K. Defined only if activate_ocean_skin >= 1.
 
-    real, intent(in):: delta_sal(:) ! (knon)
+    REAL, INTENT(IN):: delta_sal(:) ! (knon)
     ! Ocean-air interface salinity minus bulk salinity, in ppt.
 
-    REAL, intent(in):: dter(:) ! (knon)
+    REAL, INTENT(IN):: dter(:) ! (knon)
     ! Temperature variation in the diffusive microlayer, that is
     ! ocean-air interface temperature minus subskin temperature. In
     ! K.
 
-    REAL, intent(in):: dser(:) ! (knon)
+    REAL, INTENT(IN):: dser(:) ! (knon)
     ! Salinity variation in the diffusive microlayer, that is
     ! ocean-air interface salinity minus subskin salinity. In ppt.
 
-    real, intent(in):: dt_ds(:) ! (knon)
+    REAL, INTENT(IN):: dt_ds(:) ! (knon)
     ! (tks / tkt) * dTer, in K
 
@@ -733,5 +733,5 @@
        IF (carbon_cycle_cpl) cpl_atm_co2(1:knon,cpl_index) = 0.0
 
-       if (activate_ocean_skin == 2) THEN
+       IF (activate_ocean_skin == 2) THEN
           cpl_delta_sst = 0.
           cpl_delta_sal = 0.
@@ -782,5 +782,5 @@
        ENDIF
 
-       if (activate_ocean_skin == 2) THEN
+       IF (activate_ocean_skin == 2) THEN
           cpl_delta_sst(ig) = cpl_delta_sst(ig) + delta_sst(ig) / REAL(nexca)
           cpl_delta_sal(ig) = cpl_delta_sal(ig) + delta_sal(ig) / REAL(nexca)
@@ -835,5 +835,5 @@
           ENDIF
 
-          if (activate_ocean_skin == 2) THEN
+          IF (activate_ocean_skin == 2) THEN
              ALLOCATE(cpl_delta_sst_2D(nbp_lon, jj_nb), &
                   cpl_delta_sal_2D(nbp_lon, jj_nb), &
@@ -897,5 +897,5 @@
        IF (carbon_cycle_cpl) &
             CALL gath2cpl(cpl_atm_co2(:,cpl_index), cpl_atm_co22D(:,:), knon, knindex)
-       if (activate_ocean_skin == 2) THEN
+       IF (activate_ocean_skin == 2) THEN
           CALL gath2cpl(cpl_delta_sst, cpl_delta_sst_2D, knon, knindex)
           CALL gath2cpl(cpl_delta_sal, cpl_delta_sal_2D, knon, knindex)
@@ -1293,5 +1293,5 @@
     tab_flds(:,:,ids_qsnoic) = cpl_sens_snow2D(:,:,2)
 
-    if (activate_ocean_skin == 2) THEN
+    IF (activate_ocean_skin == 2) THEN
        tab_flds(:, :, ids_delta_sst) = cpl_delta_sst_2D
        tab_flds(:, :, ids_delta_sal) = cpl_delta_sal_2D
@@ -1532,5 +1532,5 @@
     ENDIF
 
-    if (activate_ocean_skin == 2) deallocate(cpl_delta_sst_2d, &
+    IF (activate_ocean_skin == 2) deallocate(cpl_delta_sst_2d, &
          cpl_delta_sal_2d, cpl_dter_2d, cpl_dser_2d, cpl_dt_ds_2d)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5117)
@@ -214,5 +214,5 @@
      yder = pchsp_95(timeyear, field_in(ij, :), ibeg=2, iend=2, vc_beg=0., vc_end=0.)
      CALL pchfe_95(timeyear, field_in(ij, :), yder, skip, arth(0., real(ndays_in) / ndays, ndays), field_out(ij, :), ierr)
-     if (ierr < 0) THEN
+     IF (ierr < 0) THEN
         abort_message='error in pchfe_95'
         CALL abort_physic(modname,abort_message,1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5117)
@@ -206,5 +206,5 @@
   ! @       do 200 k=2,nlp
   ! @         do 190 i=1,len
-  ! @          if((hm(i,k).lt.work(i)).and.
+  ! @          if((hm(i,k).lt.work(i)).AND.
   ! @      &      (hm(i,k).lt.hm(i,k-1)))THEN
   ! @            work(i)=hm(i,k)
@@ -231,5 +231,5 @@
   ! @       do 240 k=minorig+1,nl
   ! @         do 230 i=1,len
-  ! @          if((hm(i,k).gt.work(i)).and.(k.le.ihmin(i)))THEN
+  ! @          if((hm(i,k).gt.work(i)).AND.(k.le.ihmin(i)))THEN
   ! @            work(i)=hm(i,k)
   ! @            nk(i)=k
@@ -251,5 +251,5 @@
   ! -------------------------------------------------------------------
   DO i = 1, len
-    IF (((t(i, nk(i))<250.0) .OR. (q(i, nk(i))<=0.0)) & ! @      &       .or.(
+    IF (((t(i, nk(i))<250.0) .OR. (q(i, nk(i))<=0.0)) & ! @      &       .OR.(
             ! p(i,ihmin(i)).lt.400.0
             ! )  )
@@ -296,5 +296,5 @@
   ! @      do 290 k=minorig,nl
   ! @        do 280 i=1,len
-  ! @          if((k.ge.(nk(i)+1)).and.(p(i,k).lt.plcl(i)))
+  ! @          if((k.ge.(nk(i)+1)).AND.(p(i,k).lt.plcl(i)))
   ! @     &    icb(i)=min(icb(i),k)
   ! @ 280    continue
@@ -302,5 +302,5 @@
   ! @c
   ! @      do 300 i=1,len
-  ! @        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+  ! @        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
   ! @ 300  continue
 
@@ -319,5 +319,5 @@
 
   DO i = 1, len
-    ! @        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+    ! @        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
     IF ((icb(i)==nlm) .AND. (iflag(i)==0)) iflag(i) = 9
   END DO
@@ -683,5 +683,5 @@
   ! oct3       ath  = th(i,icb(i)-1) - dttrig
   ! oct3
-  ! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
+  ! oct3       if (tdif.lt.dtcrit .OR. ath.gt.ath1) THEN
   ! oct3         do 60 k=1,nl
   ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -794,8 +794,8 @@
   ! nn=0
   ! do 101 i=1,len
-  ! IF(iflag1(i).eq.0)THEN
+  ! IF(iflag1(i).EQ.0)THEN
   ! nn=nn+1
   ! tra(nn,k,j)=tra1(i,k,j)
-  ! endif
+  ! END IF
   ! 101  continue
   ! 111  continue
@@ -1103,6 +1103,6 @@
   ! inb(i)=k+1
   ! capem(i)=cape(i)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
@@ -1130,6 +1130,6 @@
   ! capem(i)=cape(i)
   ! byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
@@ -1153,5 +1153,5 @@
   ! ori        do 520 i=1,ncum
   ! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
-  ! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
+  ! ori          if((k.ge.(icb(i)+1)).AND.lcape(i))THEN
   ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
@@ -1551,9 +1551,9 @@
     ! do j=minorig,nl
     ! do il=1,ncum
-    ! IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-    ! :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+    ! IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
+    ! :       (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
     ! traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
     ! :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
-    ! endif
+    ! END IF
     ! enddo
     ! enddo
@@ -1571,5 +1571,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il, i)==0)) THEN
-        ! @      IF(nent(il,i).eq.0)THEN
+        ! @      IF(nent(il,i).EQ.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = rr(il, nk(il)) - ep(il, i) * clw(il, i)
@@ -1586,7 +1586,7 @@
   ! do i=minorig+1,nl
   ! do il=1,ncum
-  ! if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
+  ! if (i.ge.icb(il) .AND. i.le.inb(il) .AND. nent(il,i).EQ.0) THEN
   ! traent(il,i,i,j)=tra(il,nk(il),j)
-  ! endif
+  ! END IF
   ! enddo
   ! enddo
@@ -1759,8 +1759,8 @@
     ! do j=1,ntra
     ! do il=1,ncum
-    ! if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-    ! :     .and. csum(il,i).lt.m(il,i) ) THEN
+    ! if ( i.ge.icb(il) .AND. i.le.inb(il) .AND. lwork(il)
+    ! :     .AND. csum(il,i).lt.m(il,i) ) THEN
     ! traent(il,i,i,j)=tra(il,nk(il),j)
-    ! endif
+    ! END IF
     ! enddo
     ! enddo
@@ -2094,5 +2094,5 @@
           END IF
 
-        END IF ! i.eq.1
+        END IF ! i.EQ.1
 
         ! ***       find mixing ratio of precipitating downdraft     ***
@@ -2373,5 +2373,5 @@
   ! :                     *(mp(il,2)*(trap(il,2,j)-tra(il,1,j))
   ! :             +am(il)*(tra(il,2,j)-tra(il,1,j)))
-  ! endif
+  ! END IF
   ! enddo
   ! enddo
@@ -2409,7 +2409,7 @@
   ! ftra(il,1,k)=ftra(il,1,k)+0.1*work(il)*ment(il,j,1)
   ! :                *(traent(il,j,1,k)-tra(il,1,k))
-  ! endif
-
-  ! endif
+  ! END IF
+
+  ! END IF
   ! enddo
   ! enddo
@@ -2531,6 +2531,6 @@
     ! :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
     ! :           -ad(il)*(tra(il,i,k)-tra(il,i-1,k)))
-    ! endif
-    ! endif
+    ! END IF
+    ! END IF
     ! enddo
     ! enddo
@@ -2580,6 +2580,6 @@
     ! ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
     ! :        *(traent(il,k,i,j)-tra(il,i,j))
-    ! endif
-    ! endif
+    ! END IF
+    ! END IF
     ! enddo
     ! enddo
@@ -2614,5 +2614,5 @@
     ! do k=i,nl+1
     ! do il=1,ncum
-    ! if (i.le.inb(il) .and. k.le.inb(il)) THEN
+    ! if (i.le.inb(il) .AND. k.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
@@ -2623,6 +2623,6 @@
     ! ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
     ! :             *(traent(il,k,i,j)-tra(il,i,j))
-    ! endif
-    ! endif ! i and k
+    ! END IF
+    ! END IF ! i and k
     ! enddo
     ! enddo
@@ -2698,6 +2698,6 @@
     ! :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
     ! :     -mp(il,i)*(trap(il,i,j)-tra(il,i-1,j)))
-    ! endif
-    ! endif ! i
+    ! END IF
+    ! END IF ! i
     ! enddo
     ! enddo
@@ -2844,5 +2844,5 @@
     DO k = i, nl
       DO il = 1, ncum
-        ! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il))
+        ! test         if (i.ge.icb(il).AND.i.le.inb(il).AND.k.le.inb(il))
         ! THEN
         IF (i<=inb(il) .AND. k<=inb(il)) THEN
@@ -3259,17 +3259,17 @@
 
   ! inputs:
-  integer ncum, nd, nloc
-  integer icb(nloc), inb(nloc)
-  real cape(nloc)
-  real clw(nloc, nd), lv(nloc, nd), t(nloc, nd), h(nloc, nd)
-  integer nk(nloc)
+  INTEGER ncum, nd, nloc
+  INTEGER icb(nloc), inb(nloc)
+  REAL cape(nloc)
+  REAL clw(nloc, nd), lv(nloc, nd), t(nloc, nd), h(nloc, nd)
+  INTEGER nk(nloc)
   ! inouts:
-  real ep(nloc, nd)
-  real hp(nloc, nd)
+  REAL ep(nloc, nd)
+  REAL hp(nloc, nd)
   ! outputs ou local
-  real epmax_diag(nloc)
+  REAL epmax_diag(nloc)
   ! locals
-  integer i, k
-  real hp_bak(nloc, nd)
+  INTEGER i, k
+  REAL hp_bak(nloc, nd)
   CHARACTER (LEN = 20) :: modname = 'cv30_epmax_fn_cape'
   CHARACTER (LEN = 80) :: abort_message
@@ -3277,5 +3277,5 @@
   ! on recalcule ep et hp
 
-  if (coef_epmax_cape>1e-12) THEN
+  IF (coef_epmax_cape>1e-12) THEN
     do i = 1, ncum
       epmax_diag(i) = epmax - coef_epmax_cape * sqrt(cape(i))
@@ -3300,5 +3300,5 @@
     do k = minorig + 1, nl
       do i = 1, ncum
-        if((k>=icb(i)).and.(k<=inb(i)))THEN
+        IF((k>=icb(i)).AND.(k<=inb(i)))THEN
           hp(i, k) = h(i, nk(i)) + (lv(i, k) + (cpd - cpv) * t(i, k)) * ep(i, k) * clw(i, k)
         endif
@@ -3308,5 +3308,5 @@
     do i = 1, ncum
       do k = 1, nl
-        if (abs(hp_bak(i, k) - hp(i, k))>0.01) THEN
+        IF (abs(hp_bak(i, k) - hp(i, k))>0.01) THEN
           WRITE(*, *) 'i,k=', i, k
           WRITE(*, *) 'coef_epmax_cape=', coef_epmax_cape
@@ -3326,5 +3326,5 @@
       enddo !do k=1,nl
     enddo !do i=1,ncum
-  endif !if (coef_epmax_cape.gt.1e-12) THEN
+  ENDIF !if (coef_epmax_cape.gt.1e-12) THEN
 END SUBROUTINE  cv30_epmax_fn_cape
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv30param.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv30param.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv30param.h	(revision 5117)
@@ -10,13 +10,13 @@
 !------------------------------------------------------------
 
-      integer noff, minorig, nl, nlp, nlm
-      real sigd, spfac
+      INTEGER noff, minorig, nl, nlp, nlm
+      REAL sigd, spfac
 !IM cf. FH : pour compatibilite avec conema3 TEMPORAIRE   real pbcrit, ptcrit, epmax
-      real pbcrit, ptcrit
-      real omtrain
-      real dtovsh, dpbase, dttrig
-      real dtcrit, tau, beta, alpha
-      real delta
-      real betad
+      REAL pbcrit, ptcrit
+      REAL omtrain
+      REAL dtovsh, dpbase, dttrig
+      REAL dtcrit, tau, beta, alpha
+      REAL delta
+      REAL betad
 
       COMMON /cv30param/  sigd, spfac &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90	(revision 5117)
@@ -68,5 +68,5 @@
   ! read(57,*)
   ! read(57,*) alphas
-  ! endif
+  ! END IF
   ! close(57)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5117)
@@ -8,5 +8,5 @@
 
   USE lmdz_ioipsl_getin_p, ONLY: getin_p
-  use lmdz_phys_para
+  USE lmdz_phys_para
   IMPLICIT NONE
 
@@ -554,5 +554,5 @@
 !@      do 290 k=minorig,nl
 !@        do 280 i=1,len
-!@          if((k.ge.(nk(i)+1)).and.(p(i,k).lt.plcl(i)))
+!@          if((k.ge.(nk(i)+1)).AND.(p(i,k).lt.plcl(i)))
 !@     &    icb(i)=min(icb(i),k)
 !@ 280    continue
@@ -560,5 +560,5 @@
 !@c
 !@      do 300 i=1,len
-!@        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+!@        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
 !@ 300  continue
 
@@ -582,5 +582,5 @@
 
   DO i = 1, len
-!@        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+!@        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
     IF ((icb(i)==nlm) .AND. (iflag(i)==0)) iflag(i) = 9
   END DO
@@ -942,5 +942,5 @@
 ! oct3       ath  = th(i,icb(i)-1) - dttrig
 ! oct3
-! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
+! oct3       if (tdif.lt.dtcrit .OR. ath.gt.ath1) THEN
 ! oct3         do 60 k=1,nl
 ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -1063,5 +1063,5 @@
 !AC!       nn=0
 !AC!      do 101 i=1,len
-!AC!      IF(iflag1(i).eq.0)THEN
+!AC!      IF(iflag1(i).EQ.0)THEN
 !AC!       nn=nn+1
 !AC!       tra(nn,k,j)=tra1(i,k,j)
@@ -1874,5 +1874,5 @@
 !  ENDDO
 
-  endif
+  ENDIF
 
 ! -- end convect3
@@ -1947,5 +1947,5 @@
 ! ori        do 520 i=1,ncum
 ! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
-! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
+! ori          if((k.ge.(icb(i)+1)).AND.lcape(i))THEN
 ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
@@ -2230,5 +2230,5 @@
 ! c      do k= 1,nl
 ! c       do i = 1,ncum
-! c        IF (k .ge. icb(i) .and. k .le. inb(i)) THEN
+! c        IF (k .ge. icb(i) .AND. k .le. inb(i)) THEN
 ! c         cbmflast(i) = cbmflast(i)+M(i,k)
 ! c        ENDIF
@@ -2446,6 +2446,6 @@
 !AC!        do j=minorig,nl
 !AC!         do il=1,ncum
-!AC!          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-!AC!     :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+!AC!          IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
+!AC!     :       (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
 !AC!            traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
 !AC!     :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
@@ -2464,5 +2464,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      IF(nent(il,i).eq.0)THEN
+! @      IF(nent(il,i).EQ.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = qnk(il) - ep(il, i)*clw(il, i)
@@ -2479,5 +2479,5 @@
 !AC!       do i=minorig+1,nl
 !AC!        do il=1,ncum
-!AC!         if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
+!AC!         if (i.ge.icb(il) .AND. i.le.inb(il) .AND. nent(il,i).EQ.0) THEN
 !AC!          traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!         endif
@@ -2662,6 +2662,6 @@
 !AC!      do j=1,ntra
 !AC!       do il=1,ncum
-!AC!        if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-!AC!     :     .and. csum(il,i).lt.m(il,i) ) THEN
+!AC!        if ( i.ge.icb(il) .AND. i.le.inb(il) .AND. lwork(il)
+!AC!     :     .AND. csum(il,i).lt.m(il,i) ) THEN
 !AC!         traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!        endif
@@ -3108,5 +3108,5 @@
 !JYG----   Correction : si c6 <= 0, water(il,i)=0.
 ! prec(il,i)=0.
-! endif
+! END IF
 
 !JYG---   Dans tous les cas, evaporation = [tt ce qui entre dans la couche i]
@@ -3181,5 +3181,5 @@
 
         END IF
-      END IF !(i.le.inb(il) .and. lwork(il))
+      END IF !(i.le.inb(il) .AND. lwork(il))
     END DO
 ! ----------------------------------------------------------------
@@ -3222,5 +3222,5 @@
         END IF
 
-      END IF !(i.le.inb(il) .and. lwork(il) .and. i.ne.1)
+      END IF !(i.le.inb(il) .AND. lwork(il) .AND. i.NE.1)
       IF (prt_level >= 20) THEN
         PRINT *,'cv3_unsat, mp hydrostatic ', i, mp(il,i)
@@ -3343,5 +3343,5 @@
 !>jyg
 
-      END IF ! (i.le.inb(il) .and. lwork(il) .and. i.ne.1)
+      END IF ! (i.le.inb(il) .AND. lwork(il) .AND. i.NE.1)
     END DO
 ! ----------------------------------------------------------------
@@ -3357,5 +3357,5 @@
       IF (i<inb(il) .AND. lwork(il)) THEN
         mplus(il) = mp(il, i) > mp(il, i+1)
-      END IF ! (i.lt.inb(il) .and. lwork(il))
+      END IF ! (i.lt.inb(il) .AND. lwork(il))
     END DO
 
@@ -3393,10 +3393,10 @@
             vp(il, i) = vp(il, i+1)
           END IF ! (mp(il,i+1).gt.1.0e-16)
-        END IF ! (mplus(il)) else if (.not.mplus(il))
+        END IF ! (mplus(il)) ELSE IF (.NOT.mplus(il))
 
         rp(il, i) = amin1(rp(il,i), rs(il,i))
         rp(il, i) = max(rp(il,i), 0.0)
 
-      END IF ! (i.lt.inb(il) .and. lwork(il))
+      END IF ! (i.lt.inb(il) .AND. lwork(il))
     END DO
 ! ----------------------------------------------------------------
@@ -3406,5 +3406,5 @@
 !AC!      do j=1,ntra
 !AC!       do il = 1,ncum
-!AC!       if (i.lt.inb(il) .and. lwork(il)) THEN
+!AC!       if (i.lt.inb(il) .AND. lwork(il)) THEN
 !AC!c
 !AC!         IF(mplus(il))THEN
@@ -3416,7 +3416,7 @@
 !AC!           trap(il,i,j)=trap(il,i+1,j)
 !AC!          endif
-!AC!         endif ! (mplus(il)) else if (.not.mplus(il))
+!AC!         endif ! (mplus(il)) ELSE IF (.NOT.mplus(il))
 !AC!c
-!AC!        endif ! (i.lt.inb(il) .and. lwork(il))
+!AC!        endif ! (i.lt.inb(il) .AND. lwork(il))
 !AC!       enddo
 !AC!      END DO
@@ -3822,5 +3822,5 @@
 !AC!       do j=2,nl
 !AC!        do il=1,ncum
-!AC!         if (j.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!         if (j.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!
 !AC!          if (cvflag_grav) THEN
@@ -4170,5 +4170,5 @@
 !AC!      do k=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
@@ -4228,5 +4228,5 @@
 !AC!       do k=1,i-1
 !AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!         if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
@@ -4276,6 +4276,6 @@
 !AC!       do k=i,nl+1
 !AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .and. k.le.inb(il)
-!AC!     $                .and. iflag(il) .le. 1) THEN
+!AC!         if (i.le.inb(il) .AND. k.le.inb(il)
+!AC!     $                .AND. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
@@ -4345,5 +4345,5 @@
 !AC!      do j=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
+!AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
@@ -4726,5 +4726,5 @@
     DO k = i, nl
       DO il = 1, ncum
-! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il)) THEN
+! test         if (i.ge.icb(il).AND.i.le.inb(il).AND.k.le.inb(il)) THEN
         IF (i<=inb(il) .AND. k<=inb(il)) THEN
           upwd(il, i) = upwd(il, i) + up1(il, k, i)
@@ -4989,5 +4989,5 @@
       DO i = 1, ncum
         IF (k>=icb(i) .AND. k<=inb(i) .AND. & 
-!!jyg              j.ge.k.and.j.le.inb(i)) THEN
+!!jyg              j.ge.k.AND.j.le.inb(i)) THEN
 !!jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
             j>k .AND. j<=inb(i)) THEN
@@ -5159,14 +5159,14 @@
 
 ! local
-      integer i,k    
+      INTEGER i,k
 !      real hp_bak(nloc,nd)
 !      real ep_bak(nloc,nd)
-      real m_loc(nloc,nd)
-      real sig_loc(nloc,nd)
-      real w0_loc(nloc,nd)
-      integer iflag_loc(nloc)
-      real cape(nloc)
+      REAL m_loc(nloc,nd)
+      REAL sig_loc(nloc,nd)
+      REAL w0_loc(nloc,nd)
+      INTEGER iflag_loc(nloc)
+      REAL cape(nloc)
         
-        if (coef_epmax_cape>1e-12) THEN
+        IF (coef_epmax_cape>1e-12) THEN
         ! il faut calculer la cape: on fait un calcule simple car tant qu'on ne
         ! connait pas ep, on ne connait pas les mélanges, ddfts etc... qui sont
@@ -5221,5 +5221,5 @@
       do k=minorig+1,nl
        do i=1,ncum
-        if((k>=icb(i)).and.(k<=inb(i)))THEN
+        IF((k>=icb(i)).AND.(k<=inb(i)))THEN
           hp(i, k) = hnk(i) + (lv(i,k)+(cpd-cpv)*t(i,k)+frac(i,k)*lf(i,k))* &
                               ep(i, k)*clw(i, k)
@@ -5241,6 +5241,6 @@
 !      do i=1,ncum  
 !       do k=1,nl
-!        if ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-1).or. &
-!            ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-4).and. &
+!        if ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-1).OR. &
+!            ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-4).AND. &
 !            (ep(i,k)-ep_bak(i,k).lt.1e-4))) THEN
 !           WRITE(*,*) 'i,k=',i,k
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90	(revision 5117)
@@ -143,5 +143,5 @@
   ! AC!       nn=0
   ! AC!      do 101 i=1,len
-  ! AC!      IF(iflag1(i).eq.0)THEN
+  ! AC!      IF(iflag1(i).EQ.0)THEN
   ! AC!       nn=nn+1
   ! AC!       tra(nn,k,j)=tra1(i,k,j)
